Bug 144308 - up2date dialog hangs if no network connection is present
up2date dialog hangs if no network connection is present
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 15:28 EST by Eric Wood
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:11:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Wood 2005-01-05 15:28:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Even though a machine is not hooked up to the network, the Red Hat
Network Alert Notification Tool (2.1.16) tells me there are updates. 
I launch up2date, then the dialog box to connect just hangs.   User
has to force close the application.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Launch up3date without attached to network.
2.
3.
    

Expected Results:  Error message saying "there's not a connection to
the network, please connect to the network and retry.".  Program
should exit gracefully.

Additional info:

Also, when properly connected to the internet, Red Hat Network Alert
Notification Tool (2.1.16) frequently tells me there are updates
available but up2date disagrees and says everything is updated.  After
retrying few minutes later, up2date now see the updates and and
installs them.  The real problem is that the mirrors may be busy and
up2date is giving the wrong message to the user.
Comment 1 David Masterson 2005-01-07 14:05:32 EST
I also have seen the RHN Alert when up2date believes there is no
updates necessary.  This is in FC2.

Also, when up2date finds updates, it does not report the size of the
updates (always 0kb).
Comment 2 Matthew Miller 2006-07-10 17:46:34 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:11:32 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.